> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get campaign customer metadata for a specific customer



## OpenAPI

````yaml /openapi.json get /campaigns/{id}/customer_metadatas/{customer_id}
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /campaigns/{id}/customer_metadatas/{customer_id}:
    get:
      tags:
        - Campaign customer metadatas
      summary: Get campaign customer metadata for a specific customer
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the campaign
          required: true
        - in: path
          name: customer_id
          schema:
            type: string
          description: The ID of the customer
          required: true
      responses:
        '200':
          description: The `CampaignCustomerMetadata` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignCustomerMetadata'
components:
  schemas:
    CampaignCustomerMetadata:
      type: object
      properties:
        customer:
          type: string
          description: The ID of the customer
        metadata:
          type: object
          additionalProperties: true
          description: Arbitrary metadata associated with this campaign-customer pair
        created_at:
          type: string
          description: The creation timestamp
        updated_at:
          type: string
          description: The last update timestamp
      required:
        - customer
        - metadata
        - created_at
        - updated_at
      title: The Campaign Customer Metadata object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````